
// #ifndef VUE3
import uView from '@/uni_modules/uview-ui'
import Vue from 'vue'
import App from './App'
import myMixin from 'mixin/mixin.js'

// main.js
Vue.use(uView)
Vue.config.productionTip = false
import store from './store'

// 混入，全局引用
Vue.mixin(myMixin);

App.mpType = 'app'

const app = new Vue({
	store,
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
import App from './App.vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif